Subject: Re: [PATCH 2/2] net_sched: optimize tcf_match_indev()

From: Jamal Hadi Salim <[email-masked]>
Date: Fri, 20 Dec 2013 07:14:33 -0500

On 12/20/13 03:12, Cong Wang wrote:
> On Thu, Dec 19, 2013 at 10:54 PM, Eric Dumazet <[email-masked]> wrote:
>> On Thu, 2013-12-19 at 22:36 -0800, Cong Wang wrote:
>>
>>> Hmm, off-by-one error, stupid me.
>>
>> There is something else.
>>
>> Its late here, I'll let you find and fix the problems.
>>
>
> I just sent a fix for the problem I see, not sure it fixes
> the bug you reported too.
>
> I will test it as a module tomorrow, if you don't send a fix
> before that.
>

Very impressive catch Eric. I would have 100% caught this with testing
(but you caught it by inspecting code!).
A simple test that dumps all the actions of a specific type would do.
Example in your case, Cong:
tc actions ls action mirred

[I dont want to sound passive aggressive (a Canadian right, of course),
but this is why i get nervous about big changes like these which dont 
undergo more testing time.]

cheers,
jamal